//DARS80J1 JOB (SIMOTIME),'MFSYSMOD DEMO',CLASS=1,MSGCLASS=0,
//             NOTIFY=CSIP1
//* *******************************************************************
//*       DARS80J1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Demonstrate Dynamic File Allocation, Micro Focus Server.
//*          File copy with multiple inputs and a single output.
//*          The list of input files is obtained from a PDS Member.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This job and the associated documentation will describe and
//* demonstrate dynamic file allocation for the Micro Focus Studio
//* and Server environments.
//*
//* The job will read a file containing a list of file names and
//* copy all the files in the list into a single output file.
//* The files in the list will be dynamically allocated and the output
//* file is allocated using a DD statement in the this JCL member.
//*
//* Note: The files used in this example are record sequential files
//*       with 80-character, fixed length records.
//*
//*                     ************
//*                     * DARS80J1 *
//*                     ********jcl*
//*                          *
//*                     ************
//*                     * IEFBR14  *
//*                     ********utl*
//*                          *
//*    ************     ************     ************
//*    * DATALIST *-----* DARS80C1 *-----* DATA80P1 *
//*    ********dat*  *  *   call   *     ********dat*
//*                  *  * DYNAJDDI *
//*                  *  ********cbl*
//*                  *       *
//*    ************  *       *
//*    * DYNALLOC *--*       *
//*    ************          *
//*                          *
//*                     ************
//*                     *   EOJ    *
//*                     ************
//*
//*    Note: The DYNAJDDI program is a special Micro Focus COBOL
//*          program that does Dynamic File Allocation and is unique
//*          to the Micro Focus environment. This replaces the
//*          Assembler routine that is used on the mainframe.
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//GETREADY EXEC PGM=IEFBR14
//DATA80P1 DD  DSN=MFSYSMOD.DATA.DATA80P1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Concatenate the list of files into a single file.
//*              A PDS Member is used for the list of file names.
//*
//DOIT80S2 EXEC PGM=DARS80C1
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB,DISP=SHR
//DATALIST DD  DSN=SIMOTIME.PDS.PARMLIB(DARS80DL),DISP=SHR
//PUTRS080 DD  DSN=MFSYSMOD.DATA.DATA80P1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//
