//DARS80J8 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       DARS80J8.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create a Sequential Data Set on disk using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (DISPOSAL) will delete any previously created
//* file. The remaining job steps (DATA80F1, DATA80F2 and DATA80F3)
//* will create a set of new test files.
//*
//* This job will run on a Mainframe System with ZOS or a
//* Windows System with Micro Focus Enterprise Server.
//*
//* *******************************************************************
//* Step 1 of 4, Delete any previously created files...
//*
//DISPOSAL EXEC PGM=IEFBR14
//DATA80G1 DD  DSN=MFSYSMOD.DATA.DATA80G1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//DATA80G2 DD  DSN=MFSYSMOD.DATA.DATA80G2,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//DATA80G3 DD  DSN=MFSYSMOD.DATA.DATA80G3,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 4, Create and populate a new Record Sequential file...
//*
//MAKE80F1 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
FILE-001, RECORD-001
FILE-001, RECORD-002
FILE-001, RECORD-003
/*
//SYSUT2   DD  DSN=MFSYSMOD.DATA.DATA80G1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 4, Create and populate a new Record Sequential file...
//*
//MAKE80F2 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
FILE-002, RECORD-001
FILE-002, RECORD-002
FILE-002, RECORD-003
/*
//SYSUT2   DD  DSN=MFSYSMOD.DATA.DATA80G2,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 4 of 4, Create and populate a new Record Sequential file...
//*
//MAKE80F3 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
FILE-003, RECORD-001
FILE-003, RECORD-002
FILE-003, RECORD-003
/*
//SYSUT2   DD  DSN=MFSYSMOD.DATA.DATA80G3,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//
